<template>
  <q-page padding>
    <div class="text-h6 q-mb-md">Mi Estado de Formación</div>

    <div>
      <InsigniaMaderaDetalle :uuid="user.details.persona.uuid" />
    </div>

    <div class="q-mt-sm">
      <FormacionExperienciaDetalle
        tipo="FA"
        :uuid="user.details.persona.uuid"
        titulo="Experiencias Específicas para la Función (Formación Avanzada)"
      />
    </div>

    <div class="q-mt-sm">
      <FormacionExperienciaDetalle
        tipo="CO"
        :uuid="user.details.persona.uuid"
        titulo="Mis Experiencias Realizadas"
      />
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import FormacionExperienciaDetalle from 'components/Formacion/ExperienciaDetalle.vue';
import InsigniaMaderaDetalle from 'components/Formacion/InsigniaMaderaDetalle.vue';

import { useUserStore } from 'src/stores/user';

export default defineComponent({
  name: 'IndexPage',
  components: { FormacionExperienciaDetalle, InsigniaMaderaDetalle },

  setup() {
    const user = useUserStore();

    return {
      user,
    };
  },
});
</script>
